{% extends "base.html" %}
{% load humanize %}

{% block title %}
  {{ object.code }}
{% endblock title %}

{% block links %}
  <li class="breadcrumb-item">
    <a href="{% url 'quality:homepage' %}">Home</a>
  </li>
  {% if request.META.HTTP_REFERER %}
    {% if "operators" in request.META.HTTP_REFERER %}
      <li class="breadcrumb-item">
        <a href="{% url 'quality:operator-list' %}">Operators</a>
      </li>
    {% elif "networks" in request.META.HTTP_REFERER %}
      <li class="breadcrumb-item">
        <a href="{% url 'quality:network-list' %}">Networks</a>
      </li>
      <li class="breadcrumb-item">
        <a href="{% url 'quality:network-detail' pk=object.network.id %}">{{ object.network.code }}</a>
      </li>
    {% endif %}
  {% endif %}
  <li class="breadcrumb-item active" aria-current="page">Station {{ object.code }}</li>
{% endblock links %}

{% block content %}
  <article>
    <h1 class="h2">Station {{ object.code }}</h1>
    {% include "quality/heatmap.html" %}
    <h4>Last data available on realtime server</h4>
    {% for nslc, last_seen in last_data.items %}
      <span class="badge text-bg-light small">{{ nslc }}</span> : {{ last_seen|naturaltime }}
      <br>
    {% empty %}
      A long time ago
    {% endfor %}
  </article>
{% endblock content %}
